Cascade
Account

Get Account Shares History

Retrieve share history for the authenticated depositor in a strategy (includes past snapshots; no requirement to currently hold shares)

GET
/account/shares/history

Query Parameters

accountstring

Strategy (vault) account address. Caller must be the depositor.

subaccountIndexinteger

Strategy subaccount index.

Formatint32
Range0 <= value
from?integer

Limit to snapshots at or after this timestamp (milliseconds)

Formatint64
Range0 <= value
to?integer

Limit to snapshots before this timestamp (milliseconds)

Formatint64
Range0 <= value
limit?integer

Maximum number of snapshots to return

Formatint32
Range1 <= value <= 10000

Response Body

application/json

text/plain

text/plain

text/plain

curl -X GET "https://engine.cascade.cooking/account/shares/history?account=0x61171b5cb4ea4b30766b3aff150c9fec6fe0300c&subaccountIndex=1&from=1751793781000&to=1751793784000&limit=100"
[
  {
    "account": "string",
    "lockupEndsAt": 0,
    "netDeposits": "string",
    "shares": "string",
    "subaccountIndex": 0,
    "timestamp": 0,
    "usdValue": "string"
  }
]
"string"
"string"
"string"